Name:		perl-Module-Install-ReadmeMarkdownFromPod
Version:	0.03
Release:	1%{?dist}
Summary:	A Module::Install extension to create README.mkdn from POD
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Module-Install-ReadmeMarkdownFromPod/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MA/MARCEL/Module-Install-ReadmeMarkdownFromPod-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(Module::Install)
BuildRequires:	perl(Module::AutoInstall)
BuildRequires:	perl(Pod::Markdown)
BuildRequires:	perl(Module::Install::ReadmeFromPod)
BuildRequires:	perl(Test::More) >= 0.70
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.42
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
Module::Install::ReadmeMarkdownFromPod is a Module::Install extension
that generates a "README.mkdn" file automatically from an indicated file
containing POD whenever the author runs "Makefile.PL". This file is used
by GitHub to display nicely formatted information about a repository.

%prep
%setup -q -n Module-Install-ReadmeMarkdownFromPod-%{version}
iconv -f iso-8859-1 -t utf-8 README > README.utf8
touch -r README README.utf8
mv README.utf8 README

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Module/Install/
%{_mandir}/man3/Module::Install::ReadmeMarkdownFromPod.*

%changelog
* Tue Dec 11 2012 Tom Callaway <spot@fedoraproject.org> - 0.03-1
- initial package
